# TypeScript 文档手册

从一个 Java 后端开发的角度来考虑和思考 TypeScript。

## 关于文档

- [在线部署版本](https://typescript.ossez.com/)
- [GitHub 仓库地址][GitHub]
- [HoneyMoose](https://github.com/honeymoose)
- 构建工具 [docsify]

因为项目更新的需要，目前参与的一个项目都是使用 [TypeScript] 和 [Ts.ED] 来进行开发的。
本来想说服项目组使用 Spring 的全 Java 技术栈来做，但是项目组方面还是坚持要使用 NodeJS。
因此没有办法，也只能从头开始了解下 TypeScript。

随着对 TypeScript 理解的深入，我们会对文档的内容进行一些更新，如果有什么不正确或者需要修改的地方，请大家访问 [GitHub 仓库地址][GitHub] 提交 PR。

如果你发想本文档的任何问题，或者拼写错误，请使用下面的链接：
- 参与 [OSSEZ.COM 社区](https://www.ossez.com/c/toolkit-algorithm-computer-science/web-front-end/26) 版块中的讨论
- 向作者 [提交 issue](https://github.com/cwiki-us-docs/typescript-docs-cn) 
- 欢迎直接提交 pull-request 参与贡献

## 关于 TypeScript

[TypeScript] 是 JavaScript 的一个超集，主要提供了**类型系统**和**对 ES6 的支持**，它由 Microsoft 开发，代码[开源于 GitHub](https://github.com/Microsoft/TypeScript) 上。

它的第一个版本发布于 2012 年 10 月，经历了多次更新后，现在已成为前端社区中不可忽视的力量，不仅在 Microsoft 内部得到广泛运用，而且 Google 开发的 [Angular](https://angular.io/) 从 2.0 开始就使用了 TypeScript 作为开发语言，[Vue](https://vuejs.org/) 3.0 也使用 TypeScript 进行了重构。

## 适合人群

本书适合以下人群

- 熟悉 JavaScript，至少阅读过一遍[《JavaScript 高级程序设计》](https://book.douban.com/subject/10546125/)
- 了解 ES6，推荐阅读 [ECMAScript 6 入门]
- 了解 Node.js，会用 npm 安装及使用一些工具
- 想了解 TypeScript 或者想对 TypeScript 有更深的理解

## 版权许可

本书采用「保持署名—非商用」创意共享 4.0 许可证。

只要保持原作者署名和非商用，您可以自由地阅读、分享、修改本书。

详细的法律条文请参见[创意共享](http://creativecommons.org/licenses/by-nc/4.0/)网站。

## 相关资料

- [TypeScript 入门教程](https://ts.xcatliu.com/)
- [TypeScript 官网][TypeScript]
- [Handbook]（[中文版][中文手册]）
- [ECMAScript 6 入门]

[GitHub]: https://github.com/cwiki-us-docs/typescript-docs-cn
[TypeScript]: http://www.typescriptlang.org/
[Ts.ED]: https://tsed.io/
[docsify]: https://docsify.js.org/#/
[Handbook]: http://www.typescriptlang.org/docs/handbook/basic-types.html
[中文手册]: https://zhongsp.gitbook.io/typescript-handbook/
[ECMAScript 6 入门]: http://es6.ruanyifeng.com/